﻿<!-- 图片展示页的专辑信息模板 -->
<script id="briefAlbumInfoTemplate" type="text/x-jQuery-tmpl">
      <h2>所在盒子</h2>
      <div class="inBox clearfix">
         <h3>
             <span class="AlbumTitle textOver">{{tmpl "#albumLinkTemplate"}}</span>
             <span class="loveNum textOver">(${numberOfPic}个收纳)|(${numberOfLike}人喜欢)</span>
         </h3>
         <ul>
      		 {{tmpl(pictures.list) '#albumSmallThumbnailTemplate'}}
          </ul> 
      </div>
      
      <div class="clearfix" style="width:216px; height:18px;"></div>
      <div id="guessLikeHolder"></div>
      <div id="advHolder"></div>
</script>

<script id="guessLikeTemplate" type="text/x-jQuery-tmpl">
      <h2>猜你喜欢</h2>
      <div class="randomLike clearfix">
         <a href="/picture/${id}"><img src="${url}_200_200_thumbnail.${ext}"/></a>
         <input type="button" class="refresh-btn" data-id="${id}">
      </div>
</script>

<!-- 转移图片时的专辑列表 -->
<script id="albumListSelectTemplate" type="text/x-jQuery-tmpl">
<div class="favDail">
	<h1>转移到</h1>
    <div class="favDailCon clearfix">
    	<ul>
            {{each albums}}
            <li><a href="javascript:void(0)" data-album-id="${id}">${name}</a></li>
            {{/each}}
        </ul>
    </div>
    <!--
    <div class="favDailWeibo">
    	<input type="checkbox" />同步到新浪微博
    </div>
    -->
    <div class="favDailAlbum">
    	<ul>
        	<li><input type="text" id="newAlbumName" class="newAlbumName" /></li>
            <li><input type="button" value="创 建" id="btnCreateAlbum" class="Public-Btn-Box WebSure"/></li>
        </ul>
    </div>
</div>
</script>
<script id="collectionOwnerTemplate" type="text/x-jQuery-tmpl">
    <div class="picture-user-info">
        <div class="head-pic float_l">{{tmpl({username: user.username, dd: 80, pd: 80}) '#userProfilePhotoTemplate'}}</div>
        <div class="user-text float_l clearfix">
            <ul class="clearfix">
                <li>{{if user.identified}}<span class="ico-sf float_l" title="木盒认证"></span>{{/if}}</li>
                <li><h1 class=""> ${user.displayName}</h1></li>    
                {{if picture.original}}
                <li>分享到 {{tmpl({id: picture.albumId, username: picture.username, name: picture.albumName}) "#albumLinkTemplate"}} ${picture.collectTime} </li>
                {{else}}
                <li>收纳到 {{tmpl({id: picture.albumId, username: picture.username, name: picture.albumName}) "#albumLinkTemplate"}}
                通过 <a href="/user/${picture.owner}">${picture.ownerNick}</a> ${picture.collectTime}</li>    
                {{/if}}
            </ul>
            {{if !$item.isMe}}   
                <div class="UserGzEmail float_l">
      		        <div class="UserGz float_l">
                                {{tmpl(user) "#attentionTemplate"}}
                    </div>
                    <div class="UserEmail float_l">
           		            <input type="button" value=" " id="sendMsgButton" class="sendMsgButton" data-to="${user.username}" data-to-display="${user.displayName}"/>
                    </div>
                </div>
            {{/if}}
        </div>
    </div>
</script>

<script id="collectionTemplate" type="text/x-jQuery-tmpl">
        {{if pageTitle}}
        <div class="PictureBuyLink">
            <div class="float_l">
                <ul>
                    <li>来源：</li>
                    <li>{{if taobaolink}}<span class="icon-taobao"></span>{{/if}}</li>
                    <li><a href="{{if taobaolink}}${taobaolink}{{else}}${pageUrl}{{/if}}" target="_blank" class="plink-a textOver">${pageTitle} </a> </li>
                    <li>{{if price}}<strong style="color:red">￥${price}</strong>{{/if}}</li>
                    <li></li>
                </ul>
            </div>
            <div class="float_r">
                {{if price}}
                <a href="{{if taobaolink}}${taobaolink}{{else}}${pageUrl}{{/if}}" target="_blank" class="PictureBuyBtn"></a>
                {{/if}}
           </div>
        </div>
        {{/if}}

        <div class="DeletePic">
                {{if (original && mine)}}
                   <div class="del"> [&nbsp;<a href="javascript:void(0);" id="deletePicBtn">删除</a>&nbsp;] </div>
                {{/if}}
        </div>

        <div class="PicturePic">
            <div class="ImgBox">
                <a href="${url}.${ext}" target="_blank" class="aImg allPngPic" style="display:none" title="查看大图"></a>
                <img class="display" src="${url}.${ext}" />
                <div class="imgScreen"></div>
            </div>
        </div>

        <div class="PictureMs clearfix">
        	<ul>
        	<li class="li1">“</li>
            <li class="li2"><span id="picDesc">${description}</span><span class="editPictureDescBtn">{{if mine}}<a href="javascript:void(0)" id="editPictureDescBtn">[编辑]</a>{{/if}}</span></li>
            <li class="li3">”</li>
            </ul>
        </div>

        <div class="PictureBiaoq clearfix">
             <div id="tagPanel"> 
   			 </div> 
        </div>

        <div class="PictureTjFx clearfix">
        	<div class="float_l" id="collectPanel"><!--collectPanelTemplate2--></div>
            
            <div class="float_r">
                <span>分享给好友：</span><span id="ckepop"></span>
            </div>
        </div>
    <div id="repliesHolder" class="PicturePlist clearfix"></div>
    <div id="pagination"> </div>

</script>

<script id="collectPanelTemplate2" type="text/x-jQuery-tmpl">
    {{if !mine && !myColAlbumName}}
        <input type="button" class="collectButton Public-Btn-Box collect-Btn" value=" " data-picture-id="${id}"/>
   	{{/if}}	
    {{if mine || myColAlbumName}}
        已收纳
    {{/if}}
    <span class="ColorC1">${numberOfCol}人收纳&nbsp;&nbsp;</span>
    <span class="fa">
    {{if mine}}
        盒子：<span id="albumLink">{{tmpl({username: username, id: albumId, name: albumName})  "#albumLinkTemplate"}} </span>
    {{else}}
        {{if myColAlbumName}}
            盒子：<span id="albumLink" class="textOver">{{tmpl({username: username, id: myColAlbumId, name: myColAlbumName})  "#albumLinkTemplate"}} </span>&nbsp;&nbsp;
            <a href="javascript:void(0);" id="moveColBtn">[编辑]</a>
            <a href="javascript:void(0);" data-album-id="${myColAlbumId}" id="cancelColBtn">[取消收纳]</a>
        {{/if}}
    {{/if}}
    {{if mine}}
        <a href="javascript:void(0);" id="movePicBtn">[&nbsp;编辑&nbsp;]</a>
        {{if !original}}
        <a href="javascript:void(0);" data-album-id="${myColAlbumId}" id="cancelColBtn">[取消收纳]</a>
        {{/if}}
    {{/if}}
    </span>
    &nbsp;&nbsp;<input type="button" class="Public-Btn-Box like-Btn {{if likedByMe}}like{{/if}}" value="" data-picture-id="${id}"/>
    <span class="ColorC1"><span class="count">${likeCount}</span>人喜欢&nbsp;&nbsp;</span>


</script>

<script id="editPictureDescTemplate" type="text/x-jQuery-tmpl">
    <div class="editPictureDescCon">
        <h1>编辑图片描述</h1>
        <div><textarea id="editPictureDescText">${text}</textarea></div>
        <div><input type="button" value=" 确 定 " class="Public-Btn-Box WebSure" id="updatePictureDescBtn"/></div>
    </div>
</script>

<script id="pictureReplyTemplate" type="text/x-jQuery-tmpl">
    <a id="replyAnchor"></a>
    {{tmpl "#replyDialogTemplate"}}
    <div id="replies">
        {{tmpl(list) "#replyDetailTemplate"}}
    </div>
</script>